xmltooling 3.2.4

Public Member Functions | List of all members
xmltooling::OpenSSLPathValidator Class Referenceabstract

Extended PathValidator interface that adds validation using OpenSSL data types directly for efficiency. More...

`#include <xmltooling/security/OpenSSLPathValidator.h>`

Inheritance diagram for xmltooling::OpenSSLPathValidator:
[legend]
Collaboration diagram for xmltooling::OpenSSLPathValidator:
[legend]

## Public Member Functions
virtual bool | validate (X509 *certEE, STACK_OF(X509) *certChain, const PathValidatorParams &params) const =0
| Validates an end-entity certificate.
Public Member Functions inherited from xmltooling::PathValidator
virtual bool | validate (XSECCryptoX509 *certEE, const std::vector< XSECCryptoX509 * > &certChain, const PathValidatorParams &params) const =0
| Validates an end-entity certificate.

## Detailed Description

Extended PathValidator interface that adds validation using OpenSSL data types directly for efficiency.

## Member Function Documentation

## ◆ validate()

virtual bool xmltooling::OpenSSLPathValidator::validate | ( | X509 * | certEE,
|  | STACK_OF(X509) * | certChain,
|  | const PathValidatorParams & | params ) const
| pure virtual

Validates an end-entity certificate.

Parameters

  certEE | end-entity certificate
  certChain | the complete untrusted certificate chain
  params | plugin-specific parameters to the validation process

Returns
  true iff validaton succeeds

The documentation for this class was generated from the following file:

- xmltooling/security/OpenSSLPathValidator.h